pushbullet indicator crashes on start

Bug #1600727 reported by Mauro
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Pushbullet-Indicator
Undecided
Lorenzo Carbonell

Bug Description

Package: pushbullet-indicator
Priority: extra
Section: utils
Installed-Size: 1014
Maintainer: Lorenzo Carbonell Cerezo <email address hidden>
Architecture: all
Version: 0.6.2-0extras16.04.4
Depends: python (>= 2.7), python (<< 2.8), gir1.2-gtk-3.0, gir1.2-gdkpixbuf-2.0, gir1.2-appindicator3-0.1, gir1.2-notify-0.7, python3-requests, python3-pil, python3-ws4py, python3-cryptography, pushbullet-commons
Filename: pool/main/p/pushbullet-indicator/pushbullet-indicator_0.6.2-0extras16.04.4_all.deb
Size: 251010
MD5sum: 9ae8ef8f8e58441f6e2e3c2a5d82bc7b
SHA1: 8593d279ef118e10122a05b35d4c9195b0c3466c
SHA256: f3d82908d75c7d38330bcb4796b16033bf9dbc865fca6a3fe409dfce434d86ef
Description-en: An indicator for working with PushBullet
 With PushBullet-Indicator you can send addresses, files, links, lists,
 and notes to the configurated devices on PushBullet
Description-md5: e25ff08982b8e6b2ff815697fe33d8d2

Step to reproduce:

$ /opt/extras.ubuntu.com/pushbullet-indicator/bin/pushbullet-indicator

/opt/extras.ubuntu.com/pushbullet-indicator/bin/pushbullet-indicator:29: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
  from gi.repository import Notify
/opt/extras.ubuntu.com/pushbullet-indicator/share/pushbullet-indicator
/opt/extras.ubuntu.com/pushbullet-commons/share/pushbullet-commons
Traceback (most recent call last):
  File "/opt/extras.ubuntu.com/pushbullet-indicator/bin/pushbullet-indicator", line 37, in <module>
    from pushbullet_indicator import main
  File "/opt/extras.ubuntu.com/pushbullet-indicator/share/pushbullet-indicator/pushbullet_indicator.py", line 64, in <module>
    from pushbullet_dialogs import ActionDialog
ImportError: bad magic number in 'pushbullet_dialogs': b'\x03\xf3\r\n'

Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1600727/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Mauro (jasmines)
affects: ubuntu → pushbullet-indicator
Changed in pushbullet-indicator:
assignee: nobody → Lorenzo Carbonell (lorenzo-carbonell)
status: New → Fix Released
Revision history for this message
Mauro (jasmines) wrote :

Fix is NOT working. I just upgraded but I still receive:

$ /opt/extras.ubuntu.com/pushbullet-indicator/bin/pushbullet-indicator
/home/src
/opt/extras.ubuntu.com/pushbullet-indicator/share/pushbullet-indicator
/opt/extras.ubuntu.com/pushbullet-commons/share/pushbullet-commons
Traceback (most recent call last):
  File "/opt/extras.ubuntu.com/pushbullet-indicator/bin/pushbullet-indicator", line 38, in <module>
    from pushbullet_indicator import main
  File "/opt/extras.ubuntu.com/pushbullet-indicator/share/pushbullet-indicator/pushbullet_indicator.py", line 64, in <module>
    from pushbullet_dialogs import ActionDialog
ImportError: bad magic number in 'pushbullet_dialogs': b'\x03\xf3\r\n'

Changed in pushbullet-indicator:
status: Fix Released → In Progress
Revision history for this message
Mauro (jasmines) wrote :

Solved
delete all .pyc files in the following folders:
/usr/share/nautilus-python/extensions/
/opt/extras.ubuntu.com/pushbullet-commons/share/pushbullet-commons/
/opt/extras.ubuntu.com/pushbullet-commons/share/pushbullet-commons/__pycache__/
/opt/extras.ubuntu.com/pushbullet-indicator/share/pushbullet-indicator/__pycache__/

Revision history for this message
ThePierrasse (thepierrasse) wrote :

I might be digging this thread from the grave but I have the same issue on Ubuntu 18.04. Unfortunately, on my end, there are no .pyc files in the above-mentioned folders so I guess I might be out of luck. For what it's worth, here's the error I'm getting:

$ /opt/extras.ubuntu.com/pushbullet-indicator/bin/pushbullet-indicator
/opt/extras.ubuntu.com/pushbullet-indicator/bin/pushbullet-indicator:29: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
  from gi.repository import Notify
/opt/extras.ubuntu.com/pushbullet-indicator/share/pushbullet-indicator/pushbullet_indicator.py:29: PyGIWarning: AppIndicator3 was imported without specifying a version first. Use gi.require_version('AppIndicator3', '0.1') before import to ensure that the right version gets loaded.
  from gi.repository import AppIndicator3 as appindicator
/opt/extras.ubuntu.com/pushbullet-indicator/share/pushbullet-indicator
Traceback (most recent call last):
  File "<frozen importlib._bootstrap>", line 888, in _find_spec
AttributeError: 'DynamicImporter' object has no attribute 'find_spec'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/extras.ubuntu.com/pushbullet-indicator/bin/pushbullet-indicator", line 37, in <module>
    from pushbullet_indicator import main
  File "/opt/extras.ubuntu.com/pushbullet-indicator/share/pushbullet-indicator/pushbullet_indicator.py", line 50, in <module>
    from preferences_dialog import PreferencesDialog
  File "/opt/extras.ubuntu.com/pushbullet-indicator/share/pushbullet-indicator/preferences_dialog.py", line 39, in <module>
    from logindialog import LoginDialog
  File "/opt/extras.ubuntu.com/pushbullet-commons/share/pushbullet-commons/logindialog.py", line 26, in <module>
    from gi.repository import WebKit
  File "/usr/lib/python3/dist-packages/gi/importer.py", line 127, in find_module
    'introspection typelib not found' % namespace)
ImportError: cannot import name WebKit, introspection typelib not found

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers